<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class CustomerAuthController extends Controller
{
    //
    public function index()
    {
        return view('customer.home');
    }
    public function login()
    {
        if (auth('webCustomer')->check()) {
            return view('customer.home');
        }
        return view('customer.login');
    }
    public function handleLogin(Request $request)
    {
        if (Auth::guard('webCustomer')->attempt($request->only(['email', 'password']))) {
            return redirect()->route('customer.home');
        }
        return redirect()->back()->with('error', 'invalid credentials');
    }
    public function logout()
    {
        Auth::logout();
        return redirect()->route('customer.login.form');
    }
}
