<?php

namespace App\Http\Controllers;

use App\Models\Banner;
use Illuminate\Http\Request;
use Exception;
use Illuminate\Support\Facades\Validator;

class BannerController extends Controller
{
    //
    public function index()
    {
        $banners = Banner::all();

        return view('system.banners.index', compact('banners'));
    }

    public function create()
    {
        return view('system.banners.add');
    }
    public function store(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'image' => 'required|image|mimes:jpeg,png,jpg,gif|max:2048',
        ]);

        if ($validator->fails()) {
            return redirect()->back()->withErrors($validator)->withInput();
        }

        try {
            $banner = new Banner();
            $imageName = $request->image->getClientOriginalName();
            $request->image->move(public_path('uploads/banners'), $imageName);
            $banner->image = $imageName;
            $banner->save();
            session()->flash('Add', 'تم اضافة banner');
            return redirect()->route('banners.index');
        } catch (Exception $e) {
            session()->flash('failed', 'فشل اضافة banner');
            return redirect()->route('banners.index');
        }
    }




    public function destroy($id)
    {
        try{
            Banner::findOrFail($id)->delete();
            session()->flash('delete', 'تم حذف banner');

            return redirect()->route('banners.index');

        }catch(Exception $e){

            session()->flash('failed', 'فشل حذف bannner');
            return redirect()->route('banners.index');
        }
    }

}
