<?php

namespace App\Http\Controllers;

use App\Admin;
use App\Http\Controllers\Controller;
use App\Models\AllowRole;
use App\Models\Role;
use App\Models\User;
use Exception;
use Illuminate\Http\Request;

//use Illuminate\Http\Request;
class RolesController extends Controller
{

    public function index()
    {
        $roles = Role::get();
        return view('system.roles.index', compact('roles'));
    }



    public function create()
    {
        return view('system.roles.add');
    }

    public function show($id)
    {
        //
    }

    public function store(Request $request)
    {

        try {
            $roles = Role::create([
                'name'      => $request->name,
            ]);

            if (!empty($request->allow)) {
                foreach ($request->allow as $key => $allow) {
                    // $Allowroles = AllowRole::create([
                    //     'role_id'       => $roles->id,
                    //     'allow'         => $allow,
                    // ]);
                    $allowRole = new AllowRole();
                    $allowRole->role_id = $roles->id;
                    $allowRole->allow = $allow;
                    $allowRole->save();
                }
            }


            session()->flash('Add', 'تم إضافة الصلاحية بنجاح');
            return redirect()->route('roles.index');
        } catch (Exception $e) {
            session()->flash('failed', 'فشل إضافة الصلاحية بنجاح');
            return redirect()->route('roles.index');
        }
    }





    public function edit($id)
    {
        $roles = Role::find($id);
        $allowRoles = AllowRole::where('role_id', $roles->id)->get();

        $temp = [];
        foreach ($allowRoles as $role) {
            $temp[] = $role->allow;
        }
        return view('system.roles.edit', compact('roles', 'allowRoles', 'temp'));
    }


    public function update(Request $request, $id)
    {
        $roles = Role::find($id);
        $data = $this->validate(
            request(),
            [],
            [],
            []
        );



        $data = request()->except(['_token', '_method']);

        try {
            $roles = Role::find($id);
            $roles->name = $request->name;
            $roles->save();

            $deletedRows = AllowRole::where('role_id', $roles->id)->delete();
            if (!empty($request->allow)) {
                foreach ($request->allow as $key => $allow) {
                    $Allowroles = AllowRole::insert([
                        'role_id'       => $roles->id,
                        'allow'         => $allow,
                    ]);
                }
            }



            session()->flash('edit', 'تم تعديل الصلاحيات بنجاح');
            return redirect()->route('roles.index');
        } catch (Exception $e) {
            session()->flash('failed', 'فشل تعديل الصلاحيات بنجاح');
            return redirect()->route('roles.index');
        }
    }



    public function destroy($id)
    {
        try {
            if ($this->alreadycheck($id) == '1') {
                session()->flash('failed', 'يوجد مستخدم بهذه الصلاحيات!');
                return redirect()->route('roles.index');

            } else {

                $Allowroles = AllowRole::where('role_id', $id)->get();
                foreach ($Allowroles as $allowrole) {
                    AllowRole::find($allowrole->id)->delete();
                }
                Role::find($id)->delete();

                session()->flash('delete', 'تم حذف الصلاحيات بنجاح');
                return redirect()->route('roles.index');
            }
        } catch (Exception $e) {
            session()->flash('failed', 'فشل حذف الصلاحيات بنجاح');
            return redirect()->route('roles.index');
        }
    }
    public function alreadycheck($id)
    {
        $users = User::where('role_id', $id)->value('role_id');
        if ($users) {
            return '1';
        }
    }



    public function search(Request $request)
    {
        $roles = Role::where('id', 'like', '%' . request()->search . '%')->orderBy("id", "desc")->paginate(20);
        return view('system.roles.index', compact('roles'));
    }
}
