<?php

namespace App\Http\Controllers;

use App\Models\Coupons;
use App\Models\Customer;
use App\Models\UserCoupons;
use Exception;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class UserCopunsController extends Controller
{

    public function index()
    {
        $coupons = UserCoupons::all();
        return view('system.customerCoupons.index', compact('coupons'));
    }


    public function create()
    {
        $coupons=Coupons::get();
        $customers=Customer::get();
        return view('system.customerCoupons.add',compact('coupons','customers'));
    }


    public function store(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'user_id' => 'required|integer',
            'coupon_id' => 'required|integer',
        ]);

        if ($validator->fails()) {
            return redirect()->back()->withErrors($validator)->withInput();
        }

        UserCoupons::create($request->all());
        session()->flash('Add', 'تم اضافة كوبون للمستخدم بنجاح ');

        return redirect()->route('customersCoupons.index')->with('success', 'User coupon created successfully.');
    }

    public function show($id)
    {
        $coupon = UserCoupons::findOrFail($id);
        return view('coupons.show', compact('coupon'));
    }


    public function edit($id)
    {
        $coupons=Coupons::get();
        $customers=Customer::get();
        $coupon = UserCoupons::findOrFail($id);
        return view('system.customerCoupons.edit', compact('coupon','coupons','customers'));
    }


    public function update(Request $request, $id)
    {
        $validator = Validator::make($request->all(), [
            'user_id' => 'required|integer',
            'coupon_id' => 'required|integer',
        ]);

        if ($validator->fails()) {
            return redirect()->back()->withErrors($validator)->withInput();
        }

        UserCoupons::findOrFail($id)->update($request->all());
        session()->flash('edit', 'تم تعديل كوبون المستخدم بنجاح ');

        return redirect()->route('customersCoupons.index')->with('success', 'User coupon updated successfully.');
    }


    public function destroy($id)
    {
        try{
            UserCoupons::findOrFail($id)->delete();
            session()->flash('delete', 'تم حذف كوبون المستخدم بنجاح ');
            return redirect()->route('customersCoupons.index');

        }catch(Exception $e){
            UserCoupons::findOrFail($id)->delete();
            session()->flash('failed', 'فشل حذف كوبون المستخدم بنجاح ');
            return redirect()->route('customersCoupons.index');
        }
    }
}
