<?php

namespace App\Http\Controllers\api;

use App\Http\Controllers\Controller;
use App\Models\Customer;
use App\Traits\ApiResponseTrait;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;

class CustomerAuthController extends Controller
{
    use ApiResponseTrait;

    public function handleLogin(Request $request)
    {
        // if (Auth::attempt($request->only(['email', 'password']))) {
        //     return 'Auth::user()';
        // }
        // return redirect()->back()->with('error', 'invalid credentials');

    }
    public function logout()
    {
        Auth::logout();
        return redirect()->route('customer.login.form');
    }
    public function login(Request $request)
    {
        $customer = Customer::where('email', $request->email)->first();
        if (!$customer) {
            return $this->error(0, 'user not found');
        }

        if (!Hash::check($request->password, $customer->password)) {
            return $this->error(0, 'wrong password');
        }
        $token = $customer->createToken("auth_token")->plainTextToken;
        $response = ([
            "user" => $customer,
            "token" => $token
        ]);

        return $this->returnData("data", $response,"success");
    }
}
