<?php

namespace App\Models;


use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class Customer extends Authenticatable
{

    use HasApiTokens, HasFactory, Notifiable;


    protected $table='customers';

    protected $fillable = [
        'id',
        'name',
        'email',
        'phone_number',
        'password',
        'age',
        'nationality',
        'country',
        'governorate',
        'points',
        'isVerified',
        'role',
        'profile_photo_path',
        'created_at',
        'updated_at'
    ];


    protected $hidden = [
        'password',
        'remember_token',
    ];


    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}
