<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Package extends Model
{
    use HasFactory;
    protected $table    = 'packages';
    protected $fillable = [
        'id',
        'ar_name',
        'en_name',
        'ar_description',
        'en_description',
        'image',
        'total',
        'start_date',
        'end_date',
        'customer_id',
        'is_approved',
        'ready_to_publish',
        'created_at',
        'updated_at'
    ];

    public function Programs()
    {
        $packagePrograms = PackageProgram::where('package_id',$this->id);
        $programs=[];
        foreach($packagePrograms as $p){
            $programs[] = Program::find($p->program_id);
        }
        // return $this->hasMany(PackageProgram::class, 'package_id');
        return $programs;
    }

}
