<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Payments extends Model
{
    use HasFactory;
    protected $table = "payments";
    protected $fillable = [
        'id',
        'reservation_id',
        'user_id',
        'amount',
        'type',
        'date',
        'created_at',
        'updated_at'
    ];
    protected $hidden = [];
    public function Customer()
    {
        return $this->belongsTo(Customer::class, 'user_id')->withDefault();;
    }
    public function Reservation()
    {
        return $this->belongsTo(Reservation::class, 'reservation_id')->withDefault();;
    }
}
