<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Program extends Model
{
    use HasFactory;
    protected $table = "program";
    protected $fillable = [
        'id',
        'type_id',
        'ar_program_name',
        'en_program_name',
        'rate',
        'visitors',
        'ar_description',
        'en_description',
        'images',
        'town',
        'tourist_city_id',
        'location',
        'reservation_price',
        'payment_duration',
        'available_from',
        'available_to',
        'status',
        'created_at',
        'updated_at'
    ];
    protected $hidden = [];
    public function type()
    {
        return $this->belongsTo(ProgramTypes::class, 'type_id')->withDefault();
    }
    public function AdditionalServices()
    {
        return $this->hasMany(AdditionalServices::class, 'program_id');
    }
    public function programExperiences()
    {
        return $this->hasMany(ProgramExperiences::class, 'program_id');
    }
    public function TouristCity()
    {
        return $this->belongsTo(TouristCity::class, 'tourist_city_id')->withDefault();
    }
    public function Offer()
    {
        return $this->hasOne(Offer::class, 'program_id');
    }
}
