@extends('layouts.master')
@section('css')
    <!--- Internal Select2 css-->
    <link href="{{ URL::asset('assets/plugins/select2/css/select2.min.css') }}" rel="stylesheet">
    <!---Internal Fileupload css-->
    <link href="{{ URL::asset('assets/plugins/fileuploads/css/fileupload.css') }}" rel="stylesheet" type="text/css" />
    <!---Internal Fancy uploader css-->
    <link href="{{ URL::asset('assets/plugins/fancyuploder/fancy_fileupload.css') }}" rel="stylesheet" />
    <!--Internal Sumoselect css-->
    <link rel="stylesheet" href="{{ URL::asset('assets/plugins/sumoselect/sumoselect-rtl.css') }}">
    <!--Internal  TelephoneInput css-->
    <link rel="stylesheet" href="{{ URL::asset('assets/plugins/telephoneinput/telephoneinput-rtl.css') }}">
@endsection
@section('title')
تعديل عميل
@stop

@section('page-header')
    <!-- breadcrumb -->
    <div class="breadcrumb-header justify-content-between">
        <div class="my-auto">
            <div class="d-flex">
                <h4 class="content-title mb-0 my-auto">شاشة العملاء</h4><span class="text-muted mt-1 tx-13 mr-2 mb-0">/
                    شاشة قائمة العملاء</span><span class="text-muted mt-1 tx-13 mr-2 mb-0">/
                    تعديل عميل </span>
            </div>
        </div>
    </div>
    <!-- breadcrumb -->
@endsection
@section('content')

    <!-- row -->
    <div class="row">

        <div class="col-lg-12 col-md-12">
            <div class="card">
                <div class="card-body">
                    <form action="{{ route('customers.update', $customer->id) }}" method="post" enctype="multipart/form-data"
                        autocomplete="off">
                        @csrf
                        @method('PATCH')
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label">اسم العميل</label>
                                <input type="text" class="form-control form-control-lg" id="" name="name" value="{{$customer->name}}" required>
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label">الإيميل</label>
                                <input type="email" class="form-control form-control-lg" id="" name="email" value="{{$customer->email}}" required>
                            </div>


                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> رقم الهاتف </label>
                                <input type="text" class="form-control form-control-md" id="" name="phone_number" value="{{$customer->phone_number}}">
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label"> الرقم السري </label>
                                <input type="password" class="form-control form-control-md" id="" name="password" value=""
                                    >
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> العمر </label>
                                <input type="number" class="form-control form-control-md" id="" name="age" value="{{$customer->age}}"
                                    required>
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label"> الجنسية </label>
                                <input type="text" class="form-control form-control-md" id="" name="nationality" required value="{{$customer->nationality}}">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> الدولة </label>
                                <input type="text" class="form-control form-control-md" id="" name="country" required value="{{$customer->governorate}}">
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label"> المحافظة </label>
                                <input type="text" class="form-control form-control-md" id="" name="governorate" required value="{{$customer->country}}">
                            </div>
                        </div>
                        <div class="row">

                            <div class="col">
                                <label for="inputName" class="control-label">النقات</label>
                                <input type="text" class="form-control form-control-md" id=""
                                    name="points" required value="{{$customer->points}}">
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label">حالة الحساب</label>
                                <Select class="form-control form-control-lg" id="" name="isVerified" required>
                                    <option @if ($customer->isVerified==1)
                                        selected
                                    @endif  value="1">مفعل</option>
                                    <option @if ($customer->isVerified==0)
                                        selected
                                    @endif  value="0"> غير مفعل</option>

                                </Select>
                            </div>
                        </div>


                        <br>
                        <div class="d-flex justify-content-center">
                            <button type="submit" class="btn btn-primary">حفظ البيانات</button>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>

    </div>

    <!-- row closed -->
    </div>
    <!-- Container closed -->
    </div>
    <!-- main-content closed -->
@endsection
@section('js')
    <!-- Internal Select2 js-->
    <script src="{{ URL::asset('assets/plugins/select2/js/select2.min.js') }}"></script>
    <!--Internal Fileuploads js-->
    <script src="{{ URL::asset('assets/plugins/fileuploads/js/fileupload.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fileuploads/js/file-upload.js') }}"></script>
    <!--Internal Fancy uploader js-->
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.ui.widget.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.fileupload.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.iframe-transport.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.fancy-fileupload.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/fancy-uploader.js') }}"></script>
    <!--Internal  Form-elements js-->
    <script src="{{ URL::asset('assets/js/advanced-form-elements.js') }}"></script>
    <script src="{{ URL::asset('assets/js/select2.js') }}"></script>
    <!--Internal Sumoselect js-->
    <script src="{{ URL::asset('assets/plugins/sumoselect/jquery.sumoselect.js') }}"></script>
    <!--Internal  Datepicker js -->
    <script src="{{ URL::asset('assets/plugins/jquery-ui/ui/widgets/datepicker.js') }}"></script>
    <!--Internal  jquery.maskedinput js -->
    <script src="{{ URL::asset('assets/plugins/jquery.maskedinput/jquery.maskedinput.js') }}"></script>
    <!--Internal  spectrum-colorpicker js -->
    <script src="{{ URL::asset('assets/plugins/spectrum-colorpicker/spectrum.js') }}"></script>
    <!-- Internal form-elements js -->
    <script src="{{ URL::asset('assets/js/form-elements.js') }}"></script>



@endsection
