@extends('layouts.master')
@section('css')
    <!--- Internal Select2 css-->
    <link href="{{ URL::asset('assets/plugins/select2/css/select2.min.css') }}" rel="stylesheet">
    <!---Internal Fileupload css-->
    <link href="{{ URL::asset('assets/plugins/fileuploads/css/fileupload.css') }}" rel="stylesheet" type="text/css" />
    <!---Internal Fancy uploader css-->
    <link href="{{ URL::asset('assets/plugins/fancyuploder/fancy_fileupload.css') }}" rel="stylesheet" />
    <!--Internal Sumoselect css-->
    <link rel="stylesheet" href="{{ URL::asset('assets/plugins/sumoselect/sumoselect-rtl.css') }}">
    <!--Internal  TelephoneInput css-->
    <link rel="stylesheet" href="{{ URL::asset('assets/plugins/telephoneinput/telephoneinput-rtl.css') }}">
@endsection
@section('title')
    تعديل تجربة برنامج
@stop

@section('page-header')
    <!-- breadcrumb -->
    <div class="breadcrumb-header justify-content-between">
        <div class="my-auto">
            <div class="d-flex">

                <h4 class="content-title mb-0 my-auto">برامج الرحلات</h4><span class="text-muted mt-1 tx-13 mr-2 mb-0">/
                    شاشة تجارب البرامج
                </span><span class="text-muted mt-1 tx-13 mr-2 mb-0">/
                    تعديل تجربة برنامج
                </span>

            </div>
        </div>
    </div>
    <!-- breadcrumb -->
@endsection
@section('content')

    <!-- row -->
    <div class="row">

        <div class="col-lg-12 col-md-12">
            <div class="card">
                <div class="card-body">
                    <form action="{{ route('experiences.update',$experience->id) }}" method="post"
                        enctype="multipart/form-data" autocomplete="off">
                        @csrf
                        @method('PATCH')

                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label">البرنامج</label>
                                <Select class="form-control form-control-lg" id="" name="program_id" required>
                                    <option>اختر البرنامج</option>
                                    @foreach ($programs as $program)
                                        <option value="{{ $program->id }}"
                                            @if ($experience->program_id == $program->id) selected @endif>{{ $program->program_name }}
                                        </option>
                                    @endforeach
                                </Select>
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label">النوع</label>
                                <Select class="form-control form-control-lg" id="type" onchange="changeType()"
                                    name="media_type" required>
                                    <option>اختر النوع</option>
                                    {{-- <option value="video" @if ($experience->media_type == 'video') selected @endif>فديو</option> --}}
                                    <option value="image" @if ($experience->media_type == 'image') selected @endif>صورة</option>
                                </Select>
                            </div>

                        </div>
                        <div class="row" id="video" @if ($experience->media_type != 'video') style="display: none" @endif>
                            <div class="col">
                                <label for="inputName" class="control-label"> فديو </label>
                                <input type="file" accept="video/*" class="form-control form-control-md" id=""
                                    name="video">
                            </div>
                            <div class="col"></div>

                        </div>
                        <div class="row" id="image" @if ($experience->media_type != 'image') style="display: none" @endif>
                            <div class="col">
                                <label for="inputName" class="control-label"> صوره</label>
                                <input type="file" accept="image/*" class="form-control form-control-md" id=""
                                    name="image">
                            </div>
                            <div class="col"></div>
                        </div>
                        <br>
                        <br>

                        @if ($experience->media_type == 'image')
                            <div class="row">
                                <div class="col">
                                    <label for="inputName" class="control-label"> الصوره السابقة</label>

                                    <div class="media">
                                        <img src="{{ asset('uploads/experiences/images/' . $experience->path) }}"
                                            class="d-block w-100" style="height:400px" alt="">
                                    </div>
                                </div>
                            </div>
                        @endif

                        @if ($experience->media_type == 'video')
                            <div class="row">
                                <div class="col">
                                    <label for="inputName" class="control-label"> الصوره السابقة</label>

                                    <div class="media">
                                        <img src="{{ asset('uploads/experiences/images/' . $experience->path) }}"
                                            class="d-block w-100" style="height:400px" alt="">
                                    </div>
                                </div>
                            </div>
                        @endif
                        <br>
                        <div class="d-flex justify-content-center">
                            <button type="submit" id="submit" class="btn btn-primary">حفظ البيانات</button>
                        </div>
                        <script>
                            function changeType() {
                                var val = document.getElementById("type").value;
                                if (val == "image") {
                                    document.getElementById("video").style.display = "none";
                                    document.getElementById("image").style.display = "block";
                                    document.getElementById("submit").style.display = "block";
                                } else if (val == "video") {
                                    document.getElementById("image").style.display = "none";
                                    document.getElementById("video").style.display = "block";
                                    document.getElementById("submit").style.display = "block";

                                } else {
                                    document.getElementById("image").style.display = "none";
                                    document.getElementById("video").style.display = "none";
                                    document.getElementById("submit").style.display = "none";

                                }
                            }
                        </script>
                    </form>

                </div>
            </div>
        </div>
    </div>

    </div>

    <!-- row closed -->
    </div>
    <!-- Container closed -->
    </div>
    <!-- main-content closed -->
@endsection
@section('js')
    <!-- Internal Select2 js-->
    <script src="{{ URL::asset('assets/plugins/select2/js/select2.min.js') }}"></script>
    <!--Internal Fileuploads js-->
    <script src="{{ URL::asset('assets/plugins/fileuploads/js/fileupload.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fileuploads/js/file-upload.js') }}"></script>
    <!--Internal Fancy uploader js-->
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.ui.widget.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.fileupload.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.iframe-transport.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.fancy-fileupload.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/fancy-uploader.js') }}"></script>
    <!--Internal  Form-elements js-->
    <script src="{{ URL::asset('assets/js/advanced-form-elements.js') }}"></script>
    <script src="{{ URL::asset('assets/js/select2.js') }}"></script>
    <!--Internal Sumoselect js-->
    <script src="{{ URL::asset('assets/plugins/sumoselect/jquery.sumoselect.js') }}"></script>
    <!--Internal  Datepicker js -->
    <script src="{{ URL::asset('assets/plugins/jquery-ui/ui/widgets/datepicker.js') }}"></script>
    <!--Internal  jquery.maskedinput js -->
    <script src="{{ URL::asset('assets/plugins/jquery.maskedinput/jquery.maskedinput.js') }}"></script>
    <!--Internal  spectrum-colorpicker js -->
    <script src="{{ URL::asset('assets/plugins/spectrum-colorpicker/spectrum.js') }}"></script>
    <!-- Internal form-elements js -->
    <script src="{{ URL::asset('assets/js/form-elements.js') }}"></script>



@endsection
