@extends('layouts.master')
@section('css')
    <!--- Internal Select2 css-->
    <link href="{{ URL::asset('assets/plugins/select2/css/select2.min.css') }}" rel="stylesheet">
    <!---Internal Fileupload css-->
    <link href="{{ URL::asset('assets/plugins/fileuploads/css/fileupload.css') }}" rel="stylesheet" type="text/css" />
    <!---Internal Fancy uploader css-->
    <link href="{{ URL::asset('assets/plugins/fancyuploder/fancy_fileupload.css') }}" rel="stylesheet" />
    <!--Internal Sumoselect css-->
    <link rel="stylesheet" href="{{ URL::asset('assets/plugins/sumoselect/sumoselect-rtl.css') }}">
    <!--Internal  TelephoneInput css-->
    <link rel="stylesheet" href="{{ URL::asset('assets/plugins/telephoneinput/telephoneinput-rtl.css') }}">
@endsection
@section('title')
    تعديل البرنامج
@stop

@section('page-header')
    <!-- breadcrumb -->
    <div class="breadcrumb-header justify-content-between">
        <div class="my-auto">
            <div class="d-flex">
                <h4 class="content-title mb-0 my-auto">برامج الرحلات</h4><span class="text-muted mt-1 tx-13 mr-2 mb-0">/
                    شاشة البرامج</span><span class="text-muted mt-1 tx-13 mr-2 mb-0">/
                    تعديل البرنامج </span>
            </div>
        </div>
    </div>
    <!-- breadcrumb -->
@endsection
@section('content')


    <!-- row -->
    <div class="row">

        <div class="col-lg-12 col-md-12">
            <div class="card">
                <div class="card-body">
                    <form action="{{ route('programs.update', $program->id) }}" method="post" enctype="multipart/form-data"
                        autocomplete="off">
                        @csrf
                        @method('PATCH')
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label">اسم البرنامج</label>
                                <input type="text" class="form-control form-control-lg"
                                    value="{{ $program->ar_program_name }}" id="" name="ar_program_name" required>
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label">program name</label>
                                <input type="text" class="form-control form-control-lg"
                                    value="{{ $program->en_program_name }}" id="" name="en_program_name" required>
                            </div>


                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label">النوع</label>
                                <Select class="form-control form-control-lg" id="" name="type_id" required>
                                    <option>اختر النوع</option>
                                    @foreach ($types as $type)
                                        @if (@$program->type->id == $type->id)
                                            <option value="{{ $type->id }}" selected>{{ $type->ar_type }}</option>
                                        @else
                                            <option value="{{ $type->id }}">{{ $type->ar_type }}</option>
                                        @endif
                                    @endforeach
                                </Select>
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label">الحالة</label>
                                <Select class="form-control form-control-lg" id="" name="status" required>
                                    <option>اختر الحالة</option>
                                    <option value="1" @if ($program->status == 1) selected @endif>مفعل</option>
                                    <option value="0" @if ($program->status == 0) selected @endif>غير مفعل
                                    </option>
                                </Select>
                            </div>


                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> المدينة </label>
                                <input type="text" class="form-control form-control-md" id=""
                                    value="{{ $program->town }}" name="town" required>
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label">  المدينة السياحية</label>
                                <Select class="form-control form-control-lg" id="" name="tourist_city_id" >
                                    <option>اختر المدينة</option>
                                    @foreach ($touristCities as $city)
                                        <option value="{{ $city->id }}"
                                        @if(@$program->TouristCity && @$program->TouristCity->id==$city->id){
                                                selected
                                            }
                                        @endif
                                         >{{ $city->ar_city }}</option>
                                    @endforeach
                                </Select>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> الموقع  </label>
                                <input type="text" class="form-control form-control-md" id="location" name="location" value="{{$program->location}}">
                            </div>
                            <div class="col"></div>
                        </div>

                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> سعر الحجز </label>
                                <input type="text" class="form-control form-control-md"
                                    value="{{ $program->reservation_price }}" id="" name="reservation_price"
                                    required>
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label"> توقيت الدفع </label>
                                <input type="text" class="form-control form-control-md" id=""
                                    value="{{ $program->payment_duration }}" name="payment_duration" required>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> متاح من </label>
                                <input type="date" class="form-control form-control-md" id=""
                                    value="{{ $program->available_from }}" name="available_from" required>
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label"> متاح الى </label>
                                <input type="date" class="form-control form-control-md" id=""
                                    value="{{ $program->available_to }}" name="available_to" required>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> الصور </label>
                                <input type="text" class="form-control form-control-md" id=""
                                    value="{{ $program->images }}" name="images">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label">التفاصيل </label>
                                <textarea rows="5" type="text" class="form-control form-control-md" id="" name="ar_description" required>{{ $program->ar_description }}</textarea>
                            </div>

                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label">description</label>
                                <textarea rows="5" type="text" class="form-control form-control-md" id="" name="en_description" required>{{ $program->en_description }}</textarea>
                            </div>

                        </div>
                        <br>
                        <div class="d-flex justify-content-center">
                            <button type="submit" class="btn btn-primary">حفظ البيانات</button>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>

    </div>

    <!-- row closed -->
    </div>
    <!-- Container closed -->
    </div>
    <!-- main-content closed -->
@endsection
@section('js')
    <!-- Internal Select2 js-->
    <script src="{{ URL::asset('assets/plugins/select2/js/select2.min.js') }}"></script>
    <!--Internal Fileuploads js-->
    <script src="{{ URL::asset('assets/plugins/fileuploads/js/fileupload.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fileuploads/js/file-upload.js') }}"></script>
    <!--Internal Fancy uploader js-->
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.ui.widget.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.fileupload.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.iframe-transport.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.fancy-fileupload.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/fancy-uploader.js') }}"></script>
    <!--Internal  Form-elements js-->
    <script src="{{ URL::asset('assets/js/advanced-form-elements.js') }}"></script>
    <script src="{{ URL::asset('assets/js/select2.js') }}"></script>
    <!--Internal Sumoselect js-->
    <script src="{{ URL::asset('assets/plugins/sumoselect/jquery.sumoselect.js') }}"></script>
    <!--Internal  Datepicker js -->
    <script src="{{ URL::asset('assets/plugins/jquery-ui/ui/widgets/datepicker.js') }}"></script>
    <!--Internal  jquery.maskedinput js -->
    <script src="{{ URL::asset('assets/plugins/jquery.maskedinput/jquery.maskedinput.js') }}"></script>
    <!--Internal  spectrum-colorpicker js -->
    <script src="{{ URL::asset('assets/plugins/spectrum-colorpicker/spectrum.js') }}"></script>
    <!-- Internal form-elements js -->
    <script src="{{ URL::asset('assets/js/form-elements.js') }}"></script>



@endsection
