@extends('layouts.master')
@section('css')
    <!--- Internal Select2 css-->
    <link href="{{ URL::asset('assets/plugins/select2/css/select2.min.css') }}" rel="stylesheet">
    <!---Internal Fileupload css-->
    <link href="{{ URL::asset('assets/plugins/fileuploads/css/fileupload.css') }}" rel="stylesheet" type="text/css" />
    <!---Internal Fancy uploader css-->
    <link href="{{ URL::asset('assets/plugins/fancyuploder/fancy_fileupload.css') }}" rel="stylesheet" />
    <!--Internal Sumoselect css-->
    <link rel="stylesheet" href="{{ URL::asset('assets/plugins/sumoselect/sumoselect-rtl.css') }}">
    <!--Internal  TelephoneInput css-->
    <link rel="stylesheet" href="{{ URL::asset('assets/plugins/telephoneinput/telephoneinput-rtl.css') }}">
@endsection
@section('title')
    اضافة عملية دفع
@stop

@section('page-header')
    <!-- breadcrumb -->
    <div class="breadcrumb-header justify-content-between">
        <div class="my-auto">
            <div class="d-flex">

                <h4 class="content-title mb-0 my-auto">شاشة المدفوعات</h4><span class="text-muted mt-1 tx-13 mr-2 mb-0">/
                    شاشة قائمة المدفوعات</span><span class="text-muted mt-1 tx-13 mr-2 mb-0">/
                    اضافة عملية دفع </span>

            </div>
        </div>
    </div>
    <!-- breadcrumb -->
@endsection
@section('content')

    <!-- row -->
    <div class="row">

        <div class="col-lg-12 col-md-12">
            <div class="card">
                <div class="card-body">
                    <form action="{{ route('payments.store') }}" method="post" enctype="multipart/form-data"
                        autocomplete="off">
                        @csrf

                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label">رقم الحجز</label>
                                <select class="form-control form-control-lg" id="reservation_id" onchange="getData()"
                                    name="reservation_id" required>
                                    <option>اختر رقم الحجز</option>
                                    @foreach ($reservations as $reservation)
                                        <option value="{{ $reservation->id }}">{{ $reservation->id }}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label">إسم المستخدم</label>
                                <input type="text" class="form-control form-control-lg" id="CustomerName" disabled
                                    name="">
                                    <input type="text" class="form-control form-control-lg" id="user_id"
                                    name="user_id" hidden required>
                            </div>


                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> البرنامج </label>
                                <input type="text" class="form-control form-control-md" id="program" disabled
                                    name="">
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label">طريقه الدفع</label>
                                <Select class="form-control form-control-lg" id="" name="type" required>
                                    <option>اختر طريقه الدفع</option>
                                    <option value="0">cash</option>
                                    <option value="1">visa</option>
                                </Select>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> المبلغ المستحق </label>
                                <input type="number" class="form-control form-control-md" id="shouldPay" disabled
                                    name="total_price" required>
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label"> المبلغ المدفوع </label>
                                <input type="text" class="form-control form-control-md" id="" name="amount"
                                    required>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> التاريخ </label>
                                <input type="date" class="form-control form-control-md" id="" name="date"
                                    required>
                            </div>
                            <div class="col">

                            </div>
                        </div>
                        <div class="row">


                        </div>

                        <br>
                        <div class="d-flex justify-content-center">
                            <button type="submit" class="btn btn-primary">حفظ البيانات</button>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>

    </div>

    <!-- row closed -->
    </div>
    <!-- Container closed -->
    </div>
    <!-- main-content closed -->
    <?php $url = url('admin/reservation/reservationInfoAjax');
    ?>
    <script>

        function getData() {
            var id = document.getElementById("reservation_id").value;
                fetch("{{ $url }}" + "/" + id)
                .then(response => response.json())
                .then(data => {

                    // console.log(data);
                    // servicesOptions = data.data;
                    document.getElementById("CustomerName").value = data.data['customer']['name'];
                    document.getElementById("user_id").value = data.data['customer']['id'];
                    document.getElementById("program").value = data.data['program']['program_name'];
                    document.getElementById("shouldPay").value = data.data['reservation']['total_price'];
                    // document.getElementById("servicesOptions").innerHTML='<option class="form-control" value="null" >----- اختيار الخدمه ----</option>';

                    // for(var i=0; i<array.length;i++){
                    //     console.log(array[i]);
                    // }
                })
                .catch(error => {
                    // Handle any errors that occur during the request
                    console.error('Error:', error);
                });
        }
        // $(document).ready(function() {
        //     $(document).on("change", "#reservation_id", function() {


        //     });

        // });
    </script>

@endsection
@section('js')
    <!-- Internal Select2 js-->
    <script src="{{ URL::asset('assets/plugins/select2/js/select2.min.js') }}"></script>
    <!--Internal Fileuploads js-->
    <script src="{{ URL::asset('assets/plugins/fileuploads/js/fileupload.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fileuploads/js/file-upload.js') }}"></script>
    <!--Internal Fancy uploader js-->
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.ui.widget.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.fileupload.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.iframe-transport.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.fancy-fileupload.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/fancy-uploader.js') }}"></script>
    <!--Internal  Form-elements js-->
    <script src="{{ URL::asset('assets/js/advanced-form-elements.js') }}"></script>
    <script src="{{ URL::asset('assets/js/select2.js') }}"></script>
    <!--Internal Sumoselect js-->
    <script src="{{ URL::asset('assets/plugins/sumoselect/jquery.sumoselect.js') }}"></script>
    <!--Internal  Datepicker js -->
    <script src="{{ URL::asset('assets/plugins/jquery-ui/ui/widgets/datepicker.js') }}"></script>
    <!--Internal  jquery.maskedinput js -->
    <script src="{{ URL::asset('assets/plugins/jquery.maskedinput/jquery.maskedinput.js') }}"></script>
    <!--Internal  spectrum-colorpicker js -->
    <script src="{{ URL::asset('assets/plugins/spectrum-colorpicker/spectrum.js') }}"></script>
    <!-- Internal form-elements js -->
    <script src="{{ URL::asset('assets/js/form-elements.js') }}"></script>


@endsection
