@extends('layouts.master')
@section('css')
    <!--- Internal Select2 css-->
    <link href="{{ URL::asset('assets/plugins/select2/css/select2.min.css') }}" rel="stylesheet">
    <!---Internal Fileupload css-->
    <link href="{{ URL::asset('assets/plugins/fileuploads/css/fileupload.css') }}" rel="stylesheet" type="text/css" />
    <!---Internal Fancy uploader css-->
    <link href="{{ URL::asset('assets/plugins/fancyuploder/fancy_fileupload.css') }}" rel="stylesheet" />
    <!--Internal Sumoselect css-->
    <link rel="stylesheet" href="{{ URL::asset('assets/plugins/sumoselect/sumoselect-rtl.css') }}">
    <!--Internal  TelephoneInput css-->
    <link rel="stylesheet" href="{{ URL::asset('assets/plugins/telephoneinput/telephoneinput-rtl.css') }}">
@endsection
@section('title')
تعديل التقييم
@stop

@section('page-header')
    <!-- breadcrumb -->
    <div class="breadcrumb-header justify-content-between">
        <div class="my-auto">
            <div class="d-flex">
                <h4 class="content-title mb-0 my-auto">برامج الرحلات</h4><span class="text-muted mt-1 tx-13 mr-2 mb-0">/
                    شاشة التقييمات</span><span class="text-muted mt-1 tx-13 mr-2 mb-0">/
                        تعديل التقييم </span>
            </div>
        </div>
    </div>
    <!-- breadcrumb -->
@endsection
@section('content')


    <!-- row -->
    <div class="row">

        <div class="col-lg-12 col-md-12">
            <div class="card">
                <div class="card-body">
                    <form action="{{ route('rating.update', $rating->id) }}" method="post" enctype="multipart/form-data"
                        autocomplete="off">
                        @csrf
                        @method('PATCH')
                        <div class="row">

                            <div class="col">
                                <label for="inputName" class="control-label">البرنامج</label>
                                <Select class="form-control form-control-lg" id="" name="program_id" required>
                                    <option>اختر البرنامج</option>
                                    @foreach ($programs as $program)
                                        <option value="{{ $program->id }}"
                                            @if ($program->id == $rating->program_id)
                                                @selected(true)
                                            @endif
                                            >{{ $program->ar_program_name }}</option>
                                    @endforeach
                                </Select>
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label">العميل</label>
                                <Select class="form-control form-control-lg" id="" name="user_id" required>
                                    <option>اختر العميل</option>
                                    @foreach ($customers as $custmer)
                                        <option value="{{ $custmer->id }}"
                                            @if ($custmer->id == $rating->user_id)
                                                @selected(true)
                                            @endif
                                            >{{ $custmer->name }}</option>
                                    @endforeach
                                </Select>
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label">التقييم (من 0 الى 5) <br> <span
                                    id="r">0</span></label>
                                <input type="range" min="0" max="5" value="{{$rating->rate}}"
                                    class="form-control form-control-md" id="rate" onchange="changeRange()" name="rate" required>
                            </div>
                            <script>
                                document.getElementById('r').innerHTML = document.getElementById('rate').value;

                                function changeRange() {
                                    document.getElementById('r').innerHTML = document.getElementById('rate').value;
                                }
                            </script>
                            <div class="col">

                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> التعليق </label>
                                {{-- <input type="text" class="form-control form-control-md" id="" name="comment"
                                    required> --}}
                                    <textarea name="comment" id="" cols="30" class="form-control form-control-md" rows="5" required >{{$rating->comment}}</textarea>
                            </div>
                        </div>

                        <br>
                        <div class="d-flex justify-content-center">
                            <button type="submit" class="btn btn-primary">حفظ البيانات</button>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>

    </div>

    <!-- row closed -->
    </div>
    <!-- Container closed -->
    </div>
    <!-- main-content closed -->
@endsection
@section('js')
    <!-- Internal Select2 js-->
    <script src="{{ URL::asset('assets/plugins/select2/js/select2.min.js') }}"></script>
    <!--Internal Fileuploads js-->
    <script src="{{ URL::asset('assets/plugins/fileuploads/js/fileupload.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fileuploads/js/file-upload.js') }}"></script>
    <!--Internal Fancy uploader js-->
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.ui.widget.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.fileupload.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.iframe-transport.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.fancy-fileupload.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/fancy-uploader.js') }}"></script>
    <!--Internal  Form-elements js-->
    <script src="{{ URL::asset('assets/js/advanced-form-elements.js') }}"></script>
    <script src="{{ URL::asset('assets/js/select2.js') }}"></script>
    <!--Internal Sumoselect js-->
    <script src="{{ URL::asset('assets/plugins/sumoselect/jquery.sumoselect.js') }}"></script>
    <!--Internal  Datepicker js -->
    <script src="{{ URL::asset('assets/plugins/jquery-ui/ui/widgets/datepicker.js') }}"></script>
    <!--Internal  jquery.maskedinput js -->
    <script src="{{ URL::asset('assets/plugins/jquery.maskedinput/jquery.maskedinput.js') }}"></script>
    <!--Internal  spectrum-colorpicker js -->
    <script src="{{ URL::asset('assets/plugins/spectrum-colorpicker/spectrum.js') }}"></script>
    <!-- Internal form-elements js -->
    <script src="{{ URL::asset('assets/js/form-elements.js') }}"></script>



@endsection
