<?php

use App\Http\Controllers\AdditionalServicesController;
use App\Http\Controllers\RolesController;
use App\Http\Controllers\CustomerController;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\BannerController;
use App\Http\Controllers\CouponsController;
use App\Http\Controllers\offerController;
use App\Http\Controllers\PackageController;
use App\Http\Controllers\PaymentsController;
use App\Http\Controllers\ProgramController;
use App\Http\Controllers\ProgramExperiencesController;
use App\Http\Controllers\ProgramTypesController;
use App\Http\Controllers\RatingController;
use App\Http\Controllers\ReservationController;
use App\Http\Controllers\TouristCityController;
use App\Http\Controllers\UserCopunsController;
use App\Http\Middleware\rolesSession;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/
// Route::prefix('admin')->group(function () {
    Auth::routes();
    // Route::get('/', function () {return view('auth.login');});
    Route::get('/', [App\Http\Controllers\HomeController::class, 'index']);

    Route::middleware(['auth:web',rolesSession::class])->group(function () {
        Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
        Route::resource('programs', ProgramController::class);
        Route::resource('admin', AdminController::class);
        Route::resource('offers', offerController::class);
        Route::resource('programTypes', ProgramTypesController::class);
        Route::resource('additionalServices', AdditionalServicesController::class);
        Route::resource('coupons', CouponsController::class);
        Route::resource('customersCoupons', UserCopunsController::class);
        Route::resource('customers', CustomerController::class);
        Route::resource('reservations', ReservationController::class);
        Route::post('reservations/ajaxGetReservation', 'ReservationController@ajaxGetReservation')->name('reservations.ajaxGetReservation');
        Route::resource('payments', PaymentsController::class);
        Route::get('reservation/additionalServicesAjax/{id}', [ReservationController::class, 'additionalServicesAjax']);
        Route::get('reservation/reservationInfoAjax/{id}', [ReservationController::class, 'reservationInfoAjax']);
        Route::resource('touristCity', TouristCityController::class);
        Route::resource('experiences', ProgramExperiencesController::class);
        Route::resource('rating', RatingController::class);
        Route::resource('banners', BannerController::class);
        Route::resource('roles', RolesController::class);
        Route::resource('packages', PackageController::class);
    });
// });

